Page MenuHomeFreeBSD

net-mgmt/librenms: Update to 21.8.0
Needs ReviewPublic

Authored by otis on Fri, Sep 3, 1:59 PM.

Details

Reviewers
dvl
Summary
  • Update to 21.8.0
  • Regen librenms-vendor archive
  • Adjust dependencies

Changelog: https://docs.librenms.org/General/Changelog/#2180

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 41357
Build 38246: arc lint + arc unit

Event Timeline

otis requested review of this revision.Fri, Sep 3, 1:59 PM

Move setuptools to BUILD_DEPENDS

net-mgmt/librenms/Makefile
20

Is this a new requirement? From what I recall, redis is only required under certain conditions. Most users won't need this.

21

Not sure this is required.

There is already 21.9.0 out.

net-mgmt/librenms/Makefile
20

Is this a new requirement? From what I recall, redis is only required under certain conditions. Most users won't need this.

Well, not a strict requirement, this can be hidden behind OPTIONS, defaulting to OFF. Your toughts?

21

Not sure this is required.

psutil seems to be required as it's being imported directly on the top of LibreNMS/service.py.